VirtualBox

Ticket #1070 (closed defect: invalid)

Opened 6 years ago

Last modified 4 years ago

VBoxVRDP -startvm assertion error in Assert SUPLib.cpp(242)

Reported by: dangi Owned by:
Priority: major Component: other
Version: VirtualBox 1.5.4 Keywords: Amazon EC2 Xen VRDP
Cc: da@… Guest type: other
Host type: other

Description

It's an attempt to run VirtualBox on Amazon EC2.

The error occurs on a Linux host running on Xen: # uname -a Linux ip-10-251-31-115 2.6.16-xenU #1 SMP Mon May 28 03:41:49 SAST 2007 i686 athlon i386 GNU/Linux

This is this image + libraries in order to install VBox  http://developer.amazonwebservices.com/connect/entry.jspa?externalID=521&categoryID=101

VBox installed from: VirtualBox-1.5.4_27034_rhel4-1.i586.rpm

VBoxVRDP -startvm fail with an error. See log.

Attachments

2008-01-10-22-53-59.032-VBoxVRDP-2689.log Download (362 bytes) - added by dangi 6 years ago.
core.2689.gz Download (195.2 KB) - added by dangi 6 years ago.
dmesg.txt Download (35.1 KB) - added by cilaos 6 years ago.
VBox.log Download (388 bytes) - added by cilaos 6 years ago.

Change History

Changed 6 years ago by dangi

Changed 6 years ago by dangi

comment:1 Changed 6 years ago by frank

Is there any VBox.log file (~/.VirtualBox/Machines/win2k3_light001/Logs)? Did you try to execute VBox from a Xen domain? I'm even not sure if VBox works from Xen domain 0...

comment:2 Changed 6 years ago by dangi

There is no log file in ~/.VirtualBox/Machines?/win2k3_light001/ nor a Logs/ subdirectory. I am trying to execute VBox in a Xen DomU. So it's there is an Amazon Xen host (with unknown hardware) running the virtual machine i use and i tryed to start VBox from this virtual machine.

QEmu has been reported to work in this environment so I was hoping VBox can do it too.

Also another question: The Assert() in home/vbox/vbox-1.5/src/VBox/HostDrivers/Support/SUPLib.cpp(242) doesn't seems to be related to the latest SVN version of SUPLib.cpp (rev. 5999), how does it come?

comment:3 Changed 6 years ago by frank

Executing VirtualBox in an DomU will definitely not work. We should detect this and warn the user. Note that VirtualBox interferes the system more than QEmu, therefore QEmu and VirtualBox have different requirements.

To the other question: Version 1.5.4 is taken from a branch which is not visible to the public. The public SVN reflects the upcoming new major version 1.6 (not expected for the next two months at least).

comment:4 Changed 6 years ago by dangi

Thank you for these explanations.

comment:5 in reply to: ↑ description Changed 6 years ago by cilaos

I have the same problem: Can't run Virtualbox 1.5.4 (.deb-Package) on Gutsy. Errorlog as attached.

My config : $> uname -a Linux CILAOS 2.6.23.13-mschaefers #1 SMP PREEMPT Tue Jan 22 19:43:37 CET 2008 i686 GNU/Linux

dmesg as attached.

This problem occurs on (and prevents running) any virtual machine.

Changed 6 years ago by cilaos

Changed 6 years ago by cilaos

comment:6 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to invalid

As I told before, VBox will not run on a Xen kernel.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use